We have an internal application that uses GXT 2.2.5 / GWT 2.4. However, this application is now breaking with Firefox 41:

http://stackoverflow.com/questions/32840678/gwt-in-firefox41-repetitively-encodes-token-in-url

This bug is (apparently) fixed in GWT 2.7, except that I'd need to upgrade GXT from 2.2.5 as well to use it - and GXT 3.1.1 doesn't support GWT 2.7 anyway. (My attempt to upgrade to GXT 3.1.1 regardless has become a nightmare of irrational ContentPanel sizes, unwanted panel borders and Trees whose contents disappear entirely whenever a Filter is applied).

Does Sencha have any plans to create a bugfix 3.1 GPL release that does support GWT 2.7 please? Because at the moment, GXT's Firefox support is broken.

Thanks,
Chris